# IncludeLibrary_osd_dlopen.h File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <Standard_Stream.hxx>`
`#include <dlfcn.h>`

## Typedefs

typedef void(* | voidfct )()

## Functions

int | osd_dlenv (char *Path)
void * | osd_dlopen (char *Path, int LazyMode)
char * | osd_dlopenerror (char *Path)
voidfct | osd_dlsym (void *handle, char *signature)
voidfct | osd_dlsymall (void *handle, char *signature)
char * | osd_dlsymerror (char *signature)

## Typedef Documentation

typedef void(* voidfct)()

## Function Documentation

int osd_dlenv | ( | char * | Path | ) | `[inline]`

void* osd_dlopen | ( | char * | Path,
|  | int | LazyMode
| ) | `[inline]`

char* osd_dlopenerror | ( | char * | Path | ) | `[inline]`

voidfct osd_dlsym | ( | void * | handle,
|  | char * | signature
| ) | `[inline]`

voidfct osd_dlsymall | ( | void * | handle,
|  | char * | signature
| ) | `[inline]`

char* osd_dlsymerror | ( | char * | signature | ) | `[inline]`